#!/usr/local/bin/ibsh -f
#### lockin module

set LIn(dev) [gpib find lockin]

set     LIn(SensList) { 5 2 1 500e-3 200e-3 100e-3 50e-3 20e-3 10e-3 }
lappend LIn(SensList)   5e-3 2e-3 1e-3 500e-6 200e-6 100e-6 50e-6 20e-6 10e-6 
lappend LIn(SensList)   5e-6 2e-6 1e-6 

####
#
####
proc LI.SetSens { n } {
  global LIn
  gpib write $LIn(dev) "S $n"
  gpib read $LIn(dev) 6
  set LIn(sens) $n
}
####
#
####
proc LI.GetPanel { } {
  global LIn
  gpib write $LIn(dev) "Q1"
  set result  [string trim [gpib read $LIn(dev) 6]]
  set sensfac [expr [lindex $LIn(SensList) $LIn(sens)] / 2000.0 ]
#  puts "$result $sensfac"
  return [expr $result * $sensfac ]
}
####
#
####
proc LI.SetTC { n } {
  global LIn
  gpib write $LIn(dev) "T $n,1"
  gpib read $LIn(dev) 6
  set LIn(tc) $n

}
####
#
####
proc LI.Autoset { n } {
  global LIn
  gpib write $LIn(dev) "A2 $n"
#  gpib read $LIn(dev) 6
  set LIn(autoset) $n
}


# Init:

