#!./miosh -f

mio open
mio set debug 0

# initialize port with confgure-out
mio set port-A 0

set step  0
set delay 10
#----------------------------------------------------------------------
# Drive Stepper motor box with Port-register A of atmio16f
#
# bit 0 = direction
# bit 1 = step pulse
#
#
proc Wait { amount } {
 
mio usleep $amount

}
#---- reset to 0
proc StepReset {} {
global step
 if { $step > 0 } {
  StepBackward $step
 } else {
  StepForward [expr $step * -1 ]
 }
}
#---- Set absolute value
proc StepAbsolute { n } {
 global step
 if { $n > $step } {
	StepForward [expr $n - $step]
 } else {
	StepBackward [expr $step - $n ]
 }
}

#---- Do n Pulse step Backward
proc StepBackward { {n 1} } {
global step delay
for {set i 0} {$i < $n} {incr i} {
   mio set port-a 1
   mio set port-a 3
   mio set port-a 1
   mio usleep $delay
   incr step -1
}
}
#---- Do n Pulse step Forward
proc StepForward { {n 1} } {
global step delay
for {set i 0} {$i < $n} {incr i} {
  mio set port-a 0
  mio set port-a 2
  mio set port-a 0
  mio usleep $delay
  incr step
}

}


#======================================================================
#set setval 0
#proc set_abs {} { 
#  global setval
#  StepAbsolute $setval
#}


#label  .l -textvariable step -background grey90 -relief sunken -width 4
#button .f -text +1 -command "StepForward"
#button .b -text -1 -command "StepBackward"
#button .f10 -text +10 -command "StepForward 10"
#button .b10 -text -10 -command "StepBackward 10" 
#button .r   -text Reset -command Reset
#entry  .s   -textvariable setval -background grey -relief sunken
#button .sb  -text Set -command "set_abs" -background red

#button .q -text Quit -command "mio close;exit"

#pack .l .f .b .f10 .b10 .r .q -fill both
#pack .s -side left
#pack .sb -side left -fill x


